

<ion-header translucent>
  <ion-toolbar class="title_bar">
    <div class="row">
      <div class="col-5">
        <h2 class="title">Payments</h2>
      </div>
      <div class="col-7">
        <div>

    
        <IonChip class="ml-1" style="margin-left:5.25rem !important">
         
          <button type="button"  (click)="Building()"   [ngClass]="{'btn_color':  building=== true}"  class="ion-btn mt-3 building_btn">All 
             <span style="vertical-align: top;">
              <img src="/assets/images/apartment.svg" alt="" srcset="" height="56%" [ngClass]="{'icon_color':  building=== true}"   ></span>
          </button>
        </IonChip>
  
      </div>
      </div>
  
  </div>

  

  <div *ngIf="building">
    <div>
      <ion-searchbar 
       class="searchstyle" [formControl]="myControl"></ion-searchbar>
    </div>
    <div *ngIf="status">
    <div class="scroll"  >
      <p *ngFor='let job of location'>{{job.building}},{{job.location}}</p>
  </div>
</div>
    
  </div>
  </ion-toolbar>
</ion-header>


  <!-- <label for="fname" class="searchsttyle">Search</label><br>
      <input type="text" id="fname" [formControl]="myControl"  name="fname"><i class="fas fa-search"></i><br><br>
    -->










<ion-content>
  
  
  

    <div *ngFor='let job of allJobs'  class="payment_card">
      <p class="building_title">{{job.building_name}},{{job.location}}</p>
      <ion-row *ngFor='let vehicle of job.vehicles'>
        <ion-col size='4' style="margin-left: 10px;">
          <img src="/assets/images/money.svg" alt="" srcset="" height="63px">
          <!-- <ion-icon name="alert" class="pending-icon" *ngIf="vehicle.status=='Pending'"></ion-icon> -->
          <img src="/assets/images/vehicle_pending.svg" alt="" srcset=""  class="pending-icon" *ngIf="vehicle.status!='completed'">
          <!-- <img src="/assets/images/vehicle_done.png" alt="" srcset=""  class="completed-icon"  *ngIf="vehicle.status=='Completed'"> -->
            <img src="/assets/images/vehicle_done.png" alt="" srcset=""  class="completed1-icon" *ngIf="vehicle.status=='completed'">
          <!-- <ion-icon name="checkmark-circle" class="completed-icon" [style.color]="'#28F714'"
            *ngIf="vehicle.status=='Completed'"></ion-icon> -->
        </ion-col>
        <ion-col size='6' style="margin-left: -31px;margin-top: 18px;">
          <p style="margin-top: -17px; font-size: 22px;">{{vehicle.carnumber}}</p>
          <p style="margin-top:-20px;">Parking:{{vehicle.parkingno}}</p>
          <p style="margin-top:-20px;">Flat:{{vehicle.flat_no}}</p>
         
          <p style="margin-top: -17px;">
            <ion-icon name="today-outline"></ion-icon>
            Date: {{vehicle.sldate}} 
          </p>
        </ion-col>
        <ion-col style=" margin-left: -44px;margin-top: 43px;" >
          <ion-row class="amount_row" *ngIf="vehicle.status!='completed'" >
            <p>د.إ {{vehicle.amount_charged-vehicle.amount_paid}}</p>
          </ion-row>
          <ion-row class="collect_row" (click)='presentModal(vehicle)'  *ngIf="vehicle.status!='completed'">
            <ion-icon name="checkmark-circle" class="assigned-icon" [style.color]="'#28F714'"></ion-icon>
            <!-- <img src="/assets/images/vehicle_done.png" alt="" srcset=""  class="assigned-icon"> -->
            <span>Collect</span>
          </ion-row>
        
        
        </ion-col>
        <hr style="border-width: 1px;width: 100%;margin-top: -10px;">
      </ion-row>
      <!-- <hr style="border-width: 2px;"> -->
    </div>
    
   
  
     
    
  
    </ion-content>
    
    
    
